corda / net.corda.core.messaging / TopicSession

# TopicSession

`data class TopicSession`

An identifier for the endpoint MessagingService message handlers listen at.

### Parameters

`topic` - identifier for the general subject of the message, for example "platform.network_map.fetch". The topic can be the empty string to match all messages (session ID must be DEFAULT_SESSION_ID).

`sessionID` - identifier for the session the message is part of. For services listening before a session is established, use DEFAULT_SESSION_ID.

### Constructors

<init> | `TopicSession(topic: String, sessionID: Long = DEFAULT_SESSION_ID)` An identifier for the endpoint MessagingService message handlers listen at.

### Properties

sessionID | `val sessionID: Long`
topic | `val topic: String`

### Functions

isBlank | `fun isBlank(): Boolean`
toString | `fun toString(): String`